# Write your code here :-)
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile
import board, time, digitalio
import board, neopixel
pixels = neopixel.NeoPixel(board.GP28, 60, brightness = 0.5, auto_write=True)
# set up the speaker
audio = AudioOut(board.GP16) # Assuming you've got tip of speaker plug wired to GP16
# set path where sound files can be found CHANGE if different folder name
path = "sounds/"

# play_sound function - pass in the FULL NAME of file to play
def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass



# Use Pull.UP for external buttons wired to ground
buttonL = digitalio.DigitalInOut(board.GP21) # Wired to pin GP15
buttonL.switch_to_input(pull=digitalio.Pull.UP)
buttonR = digitalio.DigitalInOut(board.GP20) # Wired to pin GP15
buttonR.switch_to_input(pull=digitalio.Pull.UP)
buttonU = digitalio.DigitalInOut(board.GP19) # Wired to pin GP15
buttonU.switch_to_input(pull=digitalio.Pull.UP)
buttonD = digitalio.DigitalInOut(board.GP18) # Wired to pin GP15
buttonD.switch_to_input(pull=digitalio.Pull.UP)


def left():
    play_sound("death.wav")
    for i in range (0,60,1):
        pixels[i] = (255,150,0)
        time.sleep(0.05)
    for i in range (59,-1,-1):
        pixels[i] = (255,0,0)
        time.sleep(.05)
    for i in range (59,-1,-1):
        pixels[i] = (0,0,0)
        time.sleep(.05)
    play_sound("death.wav")


def right():
    play_sound("eatghost.wav")
    for i in range(0, 60, 1):
        pixels[i] = (0,0,255)
        time.sleep(.05)
    for i in range (59,-1, -1):
        pixels[i] = (0,0,0)
        time.sleep(.05)
    play_sound("eatghost.wav")
    for i in range(0, 60, 1):
        pixels[i] = (0,0,255)
        time.sleep(.05)
    for i in range (59,-1, -1):
        pixels[i] = (0,0,0)
        time.sleep(.05)
    play_sound("eatghost.wav")

def up():
    play_sound("chomp.wav")
    play_sound("chomp.wav")
    play_sound("chomp.wav")
    i = 0
    while i < 15:
        pixels.fill((255, 150, 0))
        time.sleep(.25)
        pixels.fill((255,0,0))
        time.sleep(.25)
        i = i+1
    pixels.fill((0,0,0))
    play_sound("chomp.wav")
    play_sound("chomp.wav")



def down():
    play_sound("fruit.wav")
    play_sound("fruit.wav")
    for i in range(0,60,2):
        pixels[i] = (255,0,0)
        time.sleep(.025)
    for i in range(1,60,2):
        pixels[i] = (255,150,0)
        time.sleep(.025)
    for i in range(0,60,2):
        pixels[i] = (255,150,0)
        time.sleep(.025)
    for i in range(1,60,2):
        pixels[i] = (255,0,0)
        time.sleep(.025)
    for i in range(0,60,2):
        pixels[i] = (255,0,0)
        time.sleep(.025)
    for i in range (59,-1,-1):
        pixels[i] = (0,0,0)
        time.sleep(.025)
    play_sound("fruit.wav")
    play_sound("fruit.wav")




while True:
    if buttonL.value == False: # Button is pressed when False
        print("left BUTTON IS PRESSED! button.value = False")
        left()
        time.sleep(.25)
    if buttonR.value == False: # Button is pressed when False
        print("right BUTTON IS PRESSED! button.value = False")
        right()
        time.sleep(.25)
    if buttonU.value == False: # Button is pressed when False
        print("up BUTTON IS PRESSED! button.value = False")
        up()
        time.sleep(.25)
    if buttonD.value == False: # Button is pressed when False
        print("down BUTTON IS PRESSED! button.value = False")
        down()
        time.sleep(.25)

